package attribute

import (
	"net/http"

	"kumoly.io/kumoly/app/errors"
)

var ErrorAttributeExist = errors.Error{
	Code:    http.StatusBadRequest,
	ID:      "ErrorAttributeExist",
	Message: "Attribute already exist",
}

var ErrorAttributeNotFound = errors.Error{
	Code:    http.StatusNotFound,
	ID:      "ErrorTokenNotValid",
	Message: "Attribute not found",
}

var ErrorInitializationFail = errors.Error{
	Code:    http.StatusNotFound,
	ID:      "ErrorInitializationFail",
	Message: "Database not connected",
}
