package errors

import "net/http"

var ErrorNotFound = Error{
	Code:    http.StatusNotFound,
	ID:      "ErrorNotFound",
	Message: "not found",
}

var ErrorUnauthorized = Error{
	Code:    http.StatusUnauthorized,
	ID:      "ErrorUnauthorized",
	Message: "unauthorized",
}

var ErrorForbidden = Error{
	Code:    http.StatusForbidden,
	ID:      "ErrorForbidden",
	Message: "permission denied",
}

var ErrorBadRequest = Error{
	Code:    http.StatusBadRequest,
	ID:      "ErrorBadRequest",
	Message: "bad request",
}
